# sf::Clock Class Reference

Clock is an utility class for manipulating time. More...

`#include <Clock.hpp>`

List of all members.

## Public Member Functions

| Clock ()
| Default constructor.
float | GetElapsedTime () const
| Get the time elapsed since last reset.
void | Reset ()
| Restart the timer.

## Detailed Description

Clock is an utility class for manipulating time.

Definition at line 39 of file Clock.hpp.

## Constructor & Destructor Documentation

sf::Clock::Clock | ( |  | ) |

Default constructor.

Definition at line 37 of file Clock.cpp.

## Member Function Documentation

float sf::Clock::GetElapsedTime | ( |  | ) | const

Get the time elapsed since last reset.

Returns:
  Time elapsed, in seconds

Definition at line 46 of file Clock.cpp.

void sf::Clock::Reset | ( |  | ) |

Restart the timer.

Definition at line 55 of file Clock.cpp.

The documentation for this class was generated from the following files:

- Clock.hpp
- Clock.cpp